NX Open C++ Reference Guide
|
Represents a WedmOpenGeom Builder
To create a new instance of this class, use CAM::NCGroupCollection::CreateWedmOpenGeomBuilder
Created in NX5.0.0.
More...
Public Member Functions | |
NXOpen::NXObject * | LeadOutPoint () |
Returns the Lead Out Point Created in NX6.0.0. | |
void | SetLeadOutPoint (NXOpen::NXObject *point) |
Sets the Lead Out Point Created in NX6.0.0. | |
![]() | |
int | BackburnPasses () |
Returns the Backburn Passes Created in NX5.0.0. | |
NXOpen::CAM::WedmCustomBoundaryDataBuilderList * | CustomBoundaryDataList () |
Returns the Custom Boundary Data List Created in NX5.0.0. | |
int | CutDirection () |
Returns the Cut Direction Created in NX5.0.0. | |
double | CutoffDistance () |
Returns the Cutoff Distance Created in NX5.0.1. | |
int | CutoffFlag () |
Returns the Cutoff Flag Created in NX5.0.1. | |
double | CutoffStock () |
Returns the Cutoff Stock Created in NX5.0.1. | |
int | FinishPasses () |
Returns the Finish Passes Created in NX5.0.0. | |
NXOpen::NXObject * | FromPoint () |
Returns the From Point Created in NX5.0.0. | |
int | FromPointStatus () |
Returns the From Point Status Created in NX5.0.0. | |
NXOpen::NXObject * | FromPointToolAxis () |
Returns the From Point Tool Axis Created in NX5.0.0. | |
NXOpen::NXObject * | GoHomePoint () |
Returns the Go Home Point Created in NX5.0.0. | |
int | GoHomePointStatus () |
Returns the Go Home Point Status Created in NX5.0.0. | |
NXOpen::NXObject * | GoHomePointToolAxis () |
Returns the Go Home Point Tool Axis Created in NX5.0.0. | |
double | Intol () |
Returns the intol value Created in NX5.0.0. | |
NXOpen::CAM::LayoutCiBuilder * | LayoutCiBuilder () |
Returns the Save Layer/Layout builder Created in NX5.0.0. | |
NXOpen::NXObject * | LeadInPoint () |
Returns the Lead In Point Created in NX5.0.0. | |
int | LeadInPointStatus () |
Returns the Lead In Point Status Created in NX5.0.0. | |
int | LeadOutPointStatus () |
Returns the Lead Out Point Status Created in NX5.0.0. | |
double | LowerPlane () |
Returns the Lower Plane Created in NX5.0.0. | |
int | NumTabs () |
Returns the Tab Points Created in NX5.0.0. | |
double | Outtol () |
Returns the outtol value Created in NX5.0.0. | |
int | RegionMethod () |
Returns the Tab Points Region Method Created in NX5.0.0. | |
NXOpen::NXObject * | RetractPoint () |
Returns the Retract Point Created in NX5.0.0. | |
int | RetractPointStatus () |
Returns the Retract Point Status Created in NX5.0.0. | |
NXOpen::NXObject * | RetractPointToolAxis () |
Returns the Retract Point Tool Axis Created in NX5.0.0. | |
int | RoughPasses () |
Returns the Rough Passes Created in NX5.0.0. | |
void | SetBackburnPasses (int backburnPasses) |
Sets the Backburn Passes Created in NX5.0.0. | |
void | SetCutDirection (int cutDirection) |
Sets the Cut Direction Created in NX5.0.0. | |
void | SetCutoffDistance (double cutoffDistance) |
Sets the Cutoff Distance Created in NX5.0.1. | |
void | SetCutoffFlag (int cutoffFlag) |
Sets the Cutoff Flag Created in NX5.0.1. | |
void | SetCutoffStock (double cutoffStock) |
Sets the Cutoff Stock Created in NX5.0.1. | |
void | SetFinishPasses (int finishPasses) |
Sets the Finish Passes Created in NX5.0.0. | |
void | SetFromPoint (NXOpen::NXObject *point) |
Sets the From Point Created in NX5.0.0. | |
void | SetFromPointStatus (int status) |
Sets the From Point Status Created in NX5.0.0. | |
void | SetFromPointToolAxis (NXOpen::NXObject *toolAxis) |
Sets the From Point Tool Axis Created in NX5.0.0. | |
void | SetGoHomePoint (NXOpen::NXObject *point) |
Sets the Go Home Point Created in NX5.0.0. | |
void | SetGoHomePointStatus (int status) |
Sets the Go Home Point Status Created in NX5.0.0. | |
void | SetGoHomePointToolAxis (NXOpen::NXObject *toolAxis) |
Sets the Go Home Point Tool Axis Created in NX5.0.0. | |
void | SetIntol (double intol) |
Sets the intol value Created in NX5.0.0. | |
void | SetLeadInPoint (NXOpen::NXObject *point) |
Sets the Lead In Point Created in NX5.0.0. | |
void | SetLeadInPointStatus (int status) |
Sets the Lead In Point Status Created in NX5.0.0. | |
void | SetLeadOutPointStatus (int status) |
Sets the Lead Out Point Status Created in NX5.0.0. | |
void | SetLowerPlane (double lowerPlane) |
Sets the Lower Plane Created in NX5.0.0. | |
void | SetNumTabs (int numTabs) |
Sets the Tab Points Created in NX5.0.0. | |
void | SetOuttol (double outtol) |
Sets the outtol value Created in NX5.0.0. | |
void | SetRegionMethod (int regionMethod) |
Sets the Tab Points Region Method Created in NX5.0.0. | |
void | SetRetractPoint (NXOpen::NXObject *point) |
Sets the Retract Point Created in NX5.0.0. | |
void | SetRetractPointStatus (int status) |
Sets the Retract Point Status Created in NX5.0.0. | |
void | SetRetractPointToolAxis (NXOpen::NXObject *toolAxis) |
Sets the Retract Point Tool Axis Created in NX5.0.0. | |
void | SetRoughPasses (int roughPasses) |
Sets the Rough Passes Created in NX5.0.0. | |
void | SetSmoothLeadinDistance (double leadInDistance) |
Sets the Smooth Leadin Distance Created in NX5.0.0. | |
void | SetSmoothLeadinFlag (int leadInFlag) |
Sets the Smooth Leadin Flag Created in NX5.0.0. | |
void | SetSmoothLeadoutDistance (double leadOutDistance) |
Sets the Smooth Leadout Distance Created in NX5.0.0. | |
void | SetSmoothLeadoutFlag (int leadOutFlag) |
Sets the Smooth Leadout Flag Created in NX5.0.0. | |
void | SetStopPointDistance (double stopPointDistance) |
Sets the Stop Point Distance Created in NX5.0.0. | |
void | SetStopPointFlag (int stopPointFlag) |
Sets the Stop Point Flag Created in NX5.0.0. | |
void | SetStopPointType (int stopPointType) |
Sets the Stop Point Type Created in NX5.0.0. | |
void | SetThreadHolePoint (NXOpen::NXObject *point) |
Sets the Thread Hole Point Created in NX5.0.0. | |
void | SetThreadHolePointStatus (int status) |
Sets the Thread Hole Point Status Created in NX5.0.0. | |
void | SetThreadHolePointToolAxis (NXOpen::NXObject *toolAxis) |
Sets the Thread Hole Point Tool Axis Created in NX5.0.0. | |
void | SetUpperPlane (double upperPlane) |
Sets the Upper Plane Created in NX5.0.0. | |
void | SetWireDiameter (double wireDiameter) |
Sets the Wire Diameter Created in NX5.0.0. | |
double | SmoothLeadinDistance () |
Returns the Smooth Leadin Distance Created in NX5.0.0. | |
int | SmoothLeadinFlag () |
Returns the Smooth Leadin Flag Created in NX5.0.0. | |
double | SmoothLeadoutDistance () |
Returns the Smooth Leadout Distance Created in NX5.0.0. | |
int | SmoothLeadoutFlag () |
Returns the Smooth Leadout Flag Created in NX5.0.0. | |
NXOpen::CAM::StepoverBuilder * | StepoverBuilder () |
Returns the Stepover builder Created in NX6.0.0. | |
double | StopPointDistance () |
Returns the Stop Point Distance Created in NX5.0.0. | |
int | StopPointFlag () |
Returns the Stop Point Flag Created in NX5.0.0. | |
int | StopPointType () |
Returns the Stop Point Type Created in NX5.0.0. | |
NXOpen::NXObject * | ThreadHolePoint () |
Returns the Thread Hole Point Created in NX5.0.0. | |
int | ThreadHolePointStatus () |
Returns the Thread Hole Point Status Created in NX5.0.0. | |
NXOpen::NXObject * | ThreadHolePointToolAxis () |
Returns the Thread Hole Point Tool Axis Created in NX5.0.0. | |
double | UpperPlane () |
Returns the Upper Plane Created in NX5.0.0. | |
double | WireDiameter () |
Returns the Wire Diameter Created in NX5.0.0. | |
![]() | |
NXOpen::CAM::Ude * | CycleEvent () |
Returns the cycle event Created in NX7.5.0. | |
NXOpen::CAM::Cycle * | CycleTable () |
Returns the cycle Created in NX9.0.0. | |
NXOpen::CAM::ParamBuilder::OptimizationTypes | OptimizationMethod () |
Returns the optim method Created in NX5.0.0. | |
void | SetOptimizationMethod (NXOpen::CAM::ParamBuilder::OptimizationTypes optimMethod) |
Sets the optim method Created in NX5.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Additional Inherited Members | |
![]() | |
enum | OptimizationTypes { OptimizationTypesNone, OptimizationTypesMinimizeTravel, OptimizationTypesBand } |
Available types for Optimization Method in operation. More... | |
Represents a WedmOpenGeom Builder
To create a new instance of this class, use CAM::NCGroupCollection::CreateWedmOpenGeomBuilder
Created in NX5.0.0.
NXOpen::NXObject* NXOpen::CAM::WedmOpenGeomBuilder::LeadOutPoint | ( | ) |
Returns the Lead Out Point
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
void NXOpen::CAM::WedmOpenGeomBuilder::SetLeadOutPoint | ( | NXOpen::NXObject * | point | ) |